> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dash-dash/dash_mnsync.md).

# mnsync - Dash

#### Parameters

`mode` - string

The command mode to use:

status - Get masternode sync status

next - Move to next sync asset

reset - Reset sync status

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "mnsync",
"params": ["status"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": {
        "AssetID": 999,
        "AssetName": "MASTERNODE_SYNC_FINISHED",
        "AssetStartTime": 1631264662,
        "Attempt": 0,
        "IsBlockchainSynced": true,
        "IsSynced": true
    }
}
```
